Subject: Re: bug#5136: Request to update vhdl-mode and verilog-mode

From: Dan Nicolaescu <[email-masked]>
Date: Tue, 8 Dec 2009 08:09:12 -0800 (PST)

Chitlesh GOORAH <[email-masked]> writes:

  > On Mon, Dec 7, 2009 at 8:56 AM, Dan Nicolaescu <> wrote:
  > > Chitlesh GOORAH <> writes:
  > >
  > >  > Hello there,
  > >  >
  > >  > The following modes bundled in emacs-23.1-13.fc12.i686 are very old
  > >  > compared to the lastest upstream releases.
  > >  >
  > >  > vhdl-mode
  > >  > http://www.iis.ee.ethz.ch/~zimmi/emacs/vhdl-mode.html
  > >
  > > Reto can you please send a patch + ChangeLog for the changes?
  > >
  > >  > verilog-mode
  > >  > http://www.verilog.com/verilog-mode.html
  > >
  > > I've asked the authors for updates, they will be installed as soon as we
  > > get them.
  > >
  > >  > I would like to request these to be updated within emacs sources so
  > >  > that linux distributions don't have to package them separately. This
  > >  > request is related to the work done behind Fedora Electronic Lab to
  > >  > give people a complete FOSS platform for micro-nanoelectronic design
  > >  > engineering, thus making emacs one of the core tools for mixed-signal
  > >  > hardware design, coupled with other emacs mode not included in the
  > >  > emacs sources.
  > >
  > > Why isn't that mode included?  What mode is it?
  > >
  > 
  > Hello,
  > 
  > I don't know why, but these are my views:

Packages are added to emacs when someone takes interest in them and
takes them through the process.
The most important is asking the authors to sign a copyright assignment
to the FSF for the package in question.

  > irsim-mode (not included) has two features - highlight and
  > indentation. Simple and can be integrated within emacs sources.

  > spice-mode is very old however was designed to use with proprietary
  > simulators. We are currently testing and ensuring that opensource
  > spice simulators and viewers can be used with this mode. If you are
  > interested in putting it into emacs sources, please take our patches
  > that we are currently preparing.
  > https://bugzilla.redhat.com/show_bug.cgi?id=544745
  > Let me know whether you are interested in adding it to the emacs
  > sources so that after fixing spice-mode, we'll close the package
  > review and won't push it to our repositories.

  > Similarly, for vhdl-mode (included within emacs sources), weirdly does
  > not support ghdl or freehdl out of the box, but only proprietary
  > simulators. Can your vhdl-mode maintainer for emacs can fix it and put
  > ghdl as default simulator please ?

There's no "vhdl-mode maintainer" other than the vhdl-mode author.  If
you have patches that implement what you requested above, please send
them to [email-masked] and they will get installed.